# ini_type.h File Reference

Types related to reading/writing '*.ini' files. More...

Go to the source code of this file.

## Data Structures
struct | IniItem
| A single "line" in an ini file. More...
struct | IniGroup
| A group within an ini file. More...
struct | IniFile
| The complete ini file. More...
## Enumerations
enum | IniGroupType { IGT_VARIABLES = 0, IGT_LIST = 1 }
| Types of groups. More...

## Detailed Description

Types related to reading/writing '*.ini' files.

Definition in file ini_type.h.

## Enumeration Type Documentation

enum IniGroupType

Types of groups.

Enumerator:

  IGT_VARIABLES | values of the form "landscape = hilly"
  IGT_LIST | a list of values, seperated by and terminated by the next group block

Definition at line 16 of file ini_type.h.